body {
     font-family: Arial, sans-serif;
     background-color: #d2dabc;
     margin: 0;
}
 .hidden {
     display: none;
}
 .error {
     color: red;
}

 #app-container{
     background: white;
     margin: 2% 10%;
     max-width: 100%;
}

 .container {
     max-width: 800px;
     margin: 0 auto;
     padding: 2rem;
     text-align: center;
}
 .container h1{
     text-align: center;
     color: #74a500;
     padding-top: 2%;
}
 .boleto {
     position:relative;
     display: flex;
     flex-direction: column;
     align-items: center;
     justify-content: center;
     border: 1px solid;
     background-image: url("img/Palenque_temple.jpg");
     background-position: center;
    /* Center the image */
     background-repeat: no-repeat;
    /* Do not repeat the image */
     background-size: cover;
    /* Resize the background image to cover the entire container */
     background-color: #cccccc;
     margin: 10px 0;
     border-radius: 10px;
     background-color: #fff;
     padding: 10px;
}
 .boleto h2 {
    margin-top: 0;
    margin-bottom: 0;
    background-color: #74a500;
    color: #fff;
    font-size: 14px;
}
 .boleto span {
    margin-top: 0;
    margin-bottom: 0;
    background-color: #74a500;
    color: #fff;
    font-size: 14px;
    font-weight: bold;
}
 .divempleo{
    background: #74a500;
    color: white;
    position: absolute;
    top: 11%;
    right: 5%;
    font-weight: bold;
}
 .boleto .foliosBoletos {
     display: flex;
     justify-content: space-around;
     width: 100%;
     background: rgb(255,255,255, 0.8);
     border-radius: 10px;
     overflow: hidden;
     margin-top: 1%;
}
.boleto .folio {
    margin: 5px 0;
    width: 18%;
    height: 90px;
    padding: 2%;
    transform: rotate(270deg);
    font-size: 14px;
}
 #contador {
     margin: 0 auto;
     width: 50%;
     text-align: center;
     font-size: 1.2rem;
     padding: 1rem;
}

#generate-button,
#print-button,
#export-button,
#logout-button,
#guardar-ganador-button{
     padding: 10px;
     background-color: #8ea552;
     color: white;
     border: none;
     border-radius: 5px;
     cursor: pointer;

}

 #generate-button button:disabled,
 button[disabled]{
  border: 1px solid #999999!important;
  background-color: #cccccc!important;
  color: #666666!important;
  cursor: not-allowed!important;
  pointer-events: all !important;
}

/*estilos del login*/
 .login-home{
     height: 80vh;
     padding: 10% 5% 0 5%;
     text-align: center;
     background-image: url("img/Palenque_temple.jpg");
     background-position: center;
    /* Center the image */
     background-repeat: no-repeat;
    /* Do not repeat the image */
     background-size: cover;
    /* Resize the background image to cover the entire container */
}
 .login-home h1{
     font-size: 2rem;
     color: #74a500;
}
 #login-container input {
     border: 1px solid #74a500;
}
 #login-container input::placeholder {
     font-weight: bold;
     opacity: 0.5;
}
 #login-error{
     color: #74a500;
}
 #login-container {
     max-width: 400px;
     margin: 0 auto;
     padding: 20px;
     background-color: #fff;
     border-radius: 10px;
     box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
     text-align: center;
}
 #login-container input {
     width: calc(100% - 20px);
     padding: 10px;
     margin: 10px 0;
}
 #login-container button {
     width: 100%;
     padding: 10px;
     background-color: #8ea552;
     color: white;
     border: none;
     border-radius: 5px;
     cursor: pointer;
}
 #login-container button:hover{
     background-color: #74a500;
}

#numero-ganador{
     border: 1px solid #74a500;
     padding: 10px;
     margin: 10px 0;
}

#numero-ganador::placeholder {
     font-weight: bold;
     opacity: 0.5;
}

/* Estilos para la impresión */
 @media print {
     body * {
         visibility: hidden;
    }
     body{
          background-color: #fff;
     }
     #boleto-container, #boleto-container * {
         visibility: visible;
    }
     #boleto-container {
         position: absolute;
         left: 0;
         top: 0;
    }
     .boleto {
         page-break-inside: avoid;
         break-inside: avoid;
    }
}
